# pcn management — NCM API

Beta. Cradlepoint's Private Cellular Network (PCN) API allows you to manage your Cradlepoint Private Cellular Networks. This includes creating new private cellular networks and managing the cores, radios, and SIM cards associated with the network.

| The PCN endpoints are grouped by functionality. |
| --- |
| PCN Management REST APIs The PCN Management REST APIs in this section provide the following functionality: Viewing cellular core information. Viewing, creating, modifying, and deleting cellular networks Viewing, creating, modifying, and deleting radio groups. Viewing and modifying cellular SIMs. |

Base URL: https://api.cradlepointecm.com

## Authentication

This is a v3 endpoint (`/api/v3/` path). Send a Bearer token on every request:

```http
Authorization: Bearer <token>
```

Tokens are generated in the NCM UI under API Keys. The v2 and v3 auth schemes are NOT interchangeable: v2 API-key headers are rejected on v3 endpoints.

### GET /api/v3/beta/private_cellular_traffic_classes

Get private cellular traffic classes

Return a list of private cellular traffic classes.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_traffic_classes" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### GET /api/v3/beta/private_cellular_traffic_classes/{id}

Get private cellular traffic classes by ID

Get a single private cellular traffic classes.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_traffic_classes/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### GET /api/v3/beta/private_cellular_lan_profiles

Get private cellular lan profiles

Return a list of private cellular lan profiles

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| sort | query | array of string (name | -name) | no | Which field to use when ordering the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_lan_profiles" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### GET /api/v3/beta/private_cellular_lan_profiles/{id}

Get private cellular lan profiles by ID

Get a single private cellular lan profiles.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_lan_profiles/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### PUT /api/v3/beta/private_cellular_lan_profiles/{id}

Update private cellular lan profiles by ID

Update a single private cellular lan profiles

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Request body**

**Example request**

```bash
curl -X PUT "https://api.cradlepointecm.com/api/v3/beta/private_cellular_lan_profiles/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 202**

### GET /api/v3/beta/private_cellular_sim_groups

Get private cellular sim groups

Return a list of private cellular sim groups

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| filter[network_id] | query | string | no |  |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| sort | query | array of string (name | -name) | no | Which field to use when ordering the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_groups" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### POST /api/v3/beta/private_cellular_sim_groups

Create private cellular sim groups

Create a single private cellular sim groups.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

**Request body**

**Example request**

```bash
curl -X POST "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_groups" \
  -H "Authorization: Bearer <token>"
```

**Response 201**

### GET /api/v3/beta/private_cellular_sim_groups/{id}

Get private cellular sim groups by ID

Get a single private cellular sim groups.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_groups/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### PUT /api/v3/beta/private_cellular_sim_groups/{id}

Update private cellular sim groups by ID

Update a single private cellular sim groups

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Request body**

**Example request**

```bash
curl -X PUT "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_groups/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 202**

### DELETE /api/v3/beta/private_cellular_sim_groups/{id}

Delete private cellular sim groups by ID

Delete a single private cellular sim groups.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl -X DELETE "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_groups/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 204** — No response body
